[asterisk-commits] pabelanger: testsuite/bamboo/trunk r2616 - /bamboo/trunk/bin/build-asterisk.sh
SVN commits to the Asterisk project
asterisk-commits at lists.digium.com
Fri Oct 14 17:10:50 CDT 2011
Author: pabelanger
Date: Fri Oct 14 17:10:47 2011
New Revision: 2616
URL: http://svnview.digium.com/svn/testsuite?view=rev&rev=2616
Log:
Create a BUILDFLAGS variable
So we can pass the same flags for each ${MAKE} command.
Modified:
bamboo/trunk/bin/build-asterisk.sh
Modified: bamboo/trunk/bin/build-asterisk.sh
URL: http://svnview.digium.com/svn/testsuite/bamboo/trunk/bin/build-asterisk.sh?view=diff&rev=2616&r1=2615&r2=2616
==============================================================================
--- bamboo/trunk/bin/build-asterisk.sh (original)
+++ bamboo/trunk/bin/build-asterisk.sh Fri Oct 14 17:10:47 2011
@@ -13,6 +13,7 @@
SKIP=$2
PWD=`pwd`
TEST_RESULTS_DIR=${PWD}/test-reports
+BUILDFLAGS = NOISY_BUILD=yes
if which gmake ; then
MAKE=gmake
@@ -180,9 +181,9 @@
# Test both 'uninstall' and 'unintall-all', since they have diffent logic paths
# in the Asterisk Makefile.
-${MAKE} uninstall
-${MAKE} uninstall-all
-${MAKE} menuselect.makeopts
+${MAKE} ${BUILDFLAGS} uninstall
+${MAKE} ${BUILDFLAGS} uninstall-all
+${MAKE} ${BUILDFLAGS} menuselect.makeopts
if [ "${CODE_COVERAGE}" = "no" ] ; then
menuselect/menuselect --enable DONT_OPTIMIZE menuselect.makeopts
@@ -223,31 +224,31 @@
if [ "${PLAN}" = "AST-14" ] ; then
# If we're building Asterisk 1.4, let make run twice, and ignore failures
# the first time, because of the way the build of chan_h323 works in 1.4.
- ${MAKE} ASTCFLAGS=${ASTCFLAGS} || :
-fi
-${MAKE} NOISY_BUILD=yes ASTCFLAGS=${ASTCFLAGS}
+ ${MAKE} ${BUILDFLAGS} ASTCFLAGS=${ASTCFLAGS} || :
+fi
+${MAKE} ${BUILDFLAGS} ASTCFLAGS=${ASTCFLAGS}
if [ -f doc/core-en_US.xml ] ; then
echo "*** Validating XML documentation ***"
- ${MAKE} validate-docs
+ ${MAKE} ${BUILDFLAGS} validate-docs
fi
if [ -d doc/tex ] ; then
- ${MAKE} asterisk.pdf
+ ${MAKE} ${BUILDFLAGS} asterisk.pdf
fi
echo "*** Installing Asterisk and Sample Configuration ***"
-WGET_EXTRA_ARGS=--quiet ${MAKE} install
-${MAKE} samples
+WGET_EXTRA_ARGS=--quiet ${MAKE} ${BUILDFLAGS} install
+${MAKE} ${BUILDFLAGS} samples
if [ $"{PLAN}" = "AST-14" ]; then
svn co http://svn.digium.com/svn/asterisk-addons/branches/1.4 addons
- ( cd addons ; ./configure ; make ; make install ; make samples )
+ ( cd addons ; ./configure ; ${MAKE} ${BUILDFLAGS} ; ${MAKE} ${BUILDFLAGS} install ; ${MAKE} ${BUILDFLAGS} samples )
fi
if [ $"{PLAN}" = "AST-162" ]; then
svn co http://svn.digium.com/svn/asterisk-addons/branches/1.6.2 addons
- ( cd addons ; ./configure ; make ; make install ; make samples )
+ ( cd addons ; ./configure ; ${MAKE} ${BUILDFLAGS} ; ${MAKE} ${BUILDFLAGS} install ; ${MAKE} ${BUILDFLAGS} samples )
fi
set +e
@@ -281,8 +282,8 @@
cd testsuite
if [ `uname -s` = "Linux" ] ; then
cd asttest
- make
- make install
+ ${MAKE}
+ ${MAKE} install
cd ..
fi
${MAKE} -C addons update
@@ -293,7 +294,8 @@
cd ..
fi
echo "*** Uninstalling Asterisk ***"
-${MAKE} uninstall-all
+${MAKE} ${BUILDFLAGS} uninstall
+${MAKE} ${BUILDFLAGS} uninstall-all
if [ "${CODE_COVERAGE}" = "yes" ] ; then
gen_coverage_report
More information about the asterisk-commits
mailing list